﻿

namespace ProjectByldozerHard.Drawing;

public class DrawingRinkCircule : InterDopRink
{
    private NumberOfRink numberOfRink;

    public int Properties
    {
        get
        {
            return Properties;

        }
        set
        {
            switch (value)
            {
                case 1:
                    numberOfRink = NumberOfRink.FourRink;
                    break;
                case 2:
                    numberOfRink = NumberOfRink.FiveRink;
                    break;
                case 3:
                    numberOfRink = NumberOfRink.SixRink;
                    break;
                default:
                    numberOfRink = NumberOfRink.FourRink;
                    MessageBox.Show("Было введено некорректное количество катков, поэтому было отрисовано стандартное количество катков");
                    break;
            }
        }
    }

    public void Draw(int _startPosX, int _startPosY, Color rinkColor, Graphics g)
    {

        Brush bodybrush = new SolidBrush(rinkColor);
        Brush brBlack = new SolidBrush(Color.Black);


        switch (numberOfRink)
        {
            case NumberOfRink.FourRink:
                g.FillEllipse(brBlack, _startPosX + 10, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 35, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 60, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 85, _startPosY + 58, 15, 15);

                g.FillEllipse(bodybrush, _startPosX + 13, _startPosY + 60, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 38, _startPosY + 60, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 63, _startPosY + 60, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 88, _startPosY + 60, 10, 10);
                break;
            case NumberOfRink.FiveRink:
                g.FillEllipse(brBlack, _startPosX + 6, _startPosY + 54, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 26, _startPosY + 54, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 46, _startPosY + 54, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 66, _startPosY + 54, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 86, _startPosY + 54, 15, 15);

                g.FillEllipse(bodybrush, _startPosX + 9, _startPosY + 54, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 29, _startPosY + 54, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 47, _startPosY + 54, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 67, _startPosY + 54, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 87, _startPosY + 54, 10, 10);

                break;
            case NumberOfRink.SixRink:
                g.FillEllipse(brBlack, _startPosX + 10, _startPosY + 60, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 35, _startPosY + 60, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 55, _startPosY + 60, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 75, _startPosY + 60, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 20, _startPosY + 45, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 65, _startPosY + 45, 15, 15);

                g.FillEllipse(bodybrush, _startPosX + 12, _startPosY + 62, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 38, _startPosY + 62, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 57, _startPosY + 62, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 77, _startPosY + 62, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 22, _startPosY + 47, 10, 10);
                g.FillEllipse(bodybrush, _startPosX + 67, _startPosY + 47, 10, 10);
                break;

        }
    }
}