﻿

namespace ProjectByldozerHard.Drawing;

public class DrawingRinkSquare : InterDopRink
{

    NumberOfRink numberOfRink;

    public int Properties
    {
        get
        {
            return Properties;

        }
        set
        {
            switch (value)
            {
                case 1:
                    numberOfRink = NumberOfRink.FourRink;
                    break;
                case 2:
                    numberOfRink = NumberOfRink.FiveRink;
                    break;
                case 3:
                    numberOfRink = NumberOfRink.SixRink;
                    break;
                default:
                    numberOfRink = NumberOfRink.FourRink;
                    MessageBox.Show("Было введено некорректное количество катков, поэтому было отрисовано стандартное количество катков");
                    break;
            }
        }
    }

    public void Draw(int _startPosX, int _startPosY, Color rinkColor, Graphics g)
    {

        Brush bodybrush = new SolidBrush(rinkColor);
        Brush brBlack = new SolidBrush(Color.Black);
        int circleRadius = 4;

        switch (numberOfRink)
        {
            case NumberOfRink.FourRink:
                g.FillEllipse(brBlack, _startPosX + 10, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 35, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 60, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 85, _startPosY + 58, 15, 15);

                int circleSize = 10;
                int squareSize = 7;

                g.FillRectangle(bodybrush, _startPosX + 12, _startPosY + 60, circleSize, squareSize);
                g.FillRectangle(bodybrush, _startPosX + 37, _startPosY + 60, circleSize, squareSize);
                g.FillRectangle(bodybrush, _startPosX + 62, _startPosY + 60, circleSize, squareSize);
                g.FillRectangle(bodybrush, _startPosX + 87, _startPosY + 60, circleSize, squareSize);

                break;
            case NumberOfRink.FiveRink:
                g.FillEllipse(brBlack, _startPosX + 5, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 25, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 45, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 65, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 85, _startPosY + 58, 15, 15);

                g.FillRectangle(bodybrush, _startPosX + 5 + circleRadius - 2, _startPosY + 58 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                g.FillRectangle(bodybrush, _startPosX + 25 + circleRadius - 2, _startPosY + 58 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                g.FillRectangle(bodybrush, _startPosX + 45 + circleRadius - 2, _startPosY + 58 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                g.FillRectangle(bodybrush, _startPosX + 65 + circleRadius - 2, _startPosY + 58 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                g.FillRectangle(bodybrush, _startPosX + 85 + circleRadius - 2, _startPosY + 58 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                break;
            case NumberOfRink.SixRink:
                g.FillEllipse(brBlack, _startPosX+3, _startPosY + 61, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 28, _startPosY + 61, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 53, _startPosY + 61, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 78, _startPosY + 61, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 18, _startPosY + 46, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 63, _startPosY + 46, 15, 15);

                g.FillRectangle(bodybrush, _startPosX +3 + circleRadius - 2, _startPosY + 61 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                g.FillRectangle(bodybrush, _startPosX + 28 + circleRadius - 2, _startPosY + 61 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                g.FillRectangle(bodybrush, _startPosX + 53 + circleRadius - 2, _startPosY + 61 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                g.FillRectangle(bodybrush, _startPosX + 78 + circleRadius - 2, _startPosY + 61 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                g.FillRectangle(bodybrush, _startPosX + 18 + circleRadius - 2, _startPosY + 46 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                g.FillRectangle(bodybrush, _startPosX + 63 + circleRadius - 2, _startPosY + 46 + circleRadius - 2, circleRadius * 2, circleRadius * 2);
                break;

        }
    }
}
