﻿
using ProjectByldozerHard.Entities;

namespace ProjectByldozerHard.Drawing;

public class DrawingRink
{
    public EntityByldozer? EntityByldozer { get; private set; }

    public NumberOfRink numberOfRink;

    public int KatNum
    {
        set
        {
            if (value <= 4 || value > 6)
            {
                numberOfRink = NumberOfRink.FourRink;
            }
            else if (value == 5)
            {
                numberOfRink = NumberOfRink.FiveRink;
            }
            else if (value == 6)
            {
                numberOfRink = NumberOfRink.SixRink;
            }
        }
    }
    public void DrawRinks(Graphics g, int _startPosX, int _startPosY)
    {

        Brush bodybrush = new SolidBrush(Color.Black);


        switch (numberOfRink)
        {
            case NumberOfRink.FourRink:
                g.FillEllipse(bodybrush, _startPosX + 30, _startPosY + 48, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 55, _startPosY + 48, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 85, _startPosY + 48, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 105, _startPosY + 48, 15, 15);
                break;
            case NumberOfRink.FiveRink:
                g.FillEllipse(bodybrush, _startPosX + 28, _startPosY + 48, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 48, _startPosY + 48, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 68, _startPosY + 48, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 88, _startPosY + 48, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 108, _startPosY + 48, 15, 15);
                break;
            case NumberOfRink.SixRink:
                g.FillEllipse(bodybrush, _startPosX + 30, _startPosY + 52, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 55, _startPosY + 52, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 80, _startPosY + 52, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 105, _startPosY + 52, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 45, _startPosY + 40, 15, 15);
                g.FillEllipse(bodybrush, _startPosX + 90, _startPosY + 40, 15, 15);
                break;

        }

    }
}
